import request from '@/utils/request'

/* 无data   /document/pageDocument */
export function pageDocument(data) {
  return request({
    url: '/document/pageDocument',
    method: 'post',
    data
  })
}

export function searchDocument(data) {
  return request({
    url: '/document/search',
    method: 'post',
    data
  })
}

//导出
export function exportDocument(data) {
  return request({
    url: '/document/export',
    method: 'post',
    data
  })
}


//导出
export function exportDemoDocument(data) {
  return request({
    url: '/document/demo',
    method: 'post',
    data
  })
}




export function updateDocument(data) {
  return request({
    url: '/document/update',
    method: 'post',
    data
  })
}



export function createDocument(data) {
  return request({
    url: '/document/create',
    method: 'post',
    data
  })
}



export function getDocumentInfo(data) {
  return request({
    url: '/document/info',
    method: 'post',
    data
  })
}



export function deleteDocument(data) {
  return request({
    url: '/document/delete',
    method: 'post',
    data
  })
}





export function searchDocumentCategory(data) {
  return request({
    url: '/document/category/search',
    method: 'post',
    data
  })
}




export function createDocumentCategory(data) {
  return request({
    url: '/document/category/create',
    method: 'post',
    data
  })
}




export function updateDocumentCategory(data) {
  return request({
    url: '/document/category/update',
    method: 'post',
    data
  })
}




export function getDocumentCategoryInfo(data) {
  return request({
    url: '/document/category/info',
    method: 'post',
    data
  })
}




export function deleteDocumentCategory(data) {
  return request({
    url: '/document/category/delete',
    method: 'post',
    data
  })
}



